# Namespace: Konva

## Konva

Source:
  - konva-v5.2.0.js, line 3

### Classes

Animation
Arc
Arrow
BaseLayer
Canvas
Circle
Collection
Container
Context
Ellipse
FastLayer
Group
Image
Label
Layer
Line
Node
Path
Rect
RegularPolygon
Ring
Shape
Sprite
Stage
Star
Tag
Text
TextPath
Transform
Tween
Wedge

### Namespaces

Easings
Filters
Util

### Members

#### <static> angleDeg

  Use degree values for angle properties. You may set this property to false if you want to use radiant values.

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `angleDeg` |  |

  Default Value:
    - true
  Source:
    - konva-v5.2.0.js, line 84

  ##### Example

      node.rotation(45); // 45 degrees
      Konva.angleDeg = false;
      node.rotation(Math.PI / 2); // PI/2 radian

#### <static> dragDistance

  Drag distance property. If you start to drag a node you may want to wait until pointer is moved to some distance from start point, only then start dragging.

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `dragDistance` |  |

  Default Value:
    - 0
  Source:
    - konva-v5.2.0.js, line 73

  ##### Example

      Konva.dragDistance = 10;

#### <static> pixelRatio

  Global pixel ratio configuration. KonvaJS automatically detect pixel ratio of current device. But you may override such property, if you want to use your value.

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `pixelRatio` |  |

  Default Value:
    - undefined
  Source:
    - konva-v5.2.0.js, line 63

  ##### Example

      Konva.pixelRatio = 1;

#### <static> showWarnings

  Show different warnings about errors or wrong API usage

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `showWarnings` |  |

  Default Value:
    - true
  Source:
    - konva-v5.2.0.js, line 93

  ##### Example

      Konva.showWarnings = false;

### Methods

#### <static> isDragging()

  returns whether or not drag and drop is currently active

  Source:
    - konva-v5.2.0.js, line 473

#### <static> isDragReady()

  returns whether or not a drag and drop operation is ready, but may not necessarily have started

  Source:
    - konva-v5.2.0.js, line 490